<?php
/*
 * ϻ»ܤ饹
 */


require_once '../../data/constant.php';

require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_moshi.php';
require_once '../../data/data_for_test.php';


ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];

if (!isset($_GET["moshi_id"]) || !is_numeric($_GET["moshi_id"]) || !isset($_GET["moshi_name"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$moshi_name = $_GET["moshi_name"];

$moshi_id = "";

$moshi_id = $_GET["moshi_id"];

$total_ave_score ="";
$total_ave_time_cnt="";
$total_user_cnt = "";
$total_ans_cnt="";

$data_list = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$moshi_data_object = new CAnsToWholeMoshiTableAccess();
	if ($moshi_data_object->setTotalStaticData($data_object->conn, $moshi_id)) {
		while($res=$moshi_data_object->dbFetchArr()) {
			$total_ave_score=$res["avg_score"];
			$total_ave_time_cnt=$res["avg_dur"];
			$total_user_cnt=$res["ans_usr_num"];
			$total_ans_cnt=$res["cnt"];
		}
		$moshi_data_object->dbFreeResult();
	}
	
	//ĤνФƤ륯饹Τߤ򸫤
	$moshi_class_object = new CMoshiClassHistory();
	$allow_class_arr = array();
	
	if ($moshi_class_object->setPermitUserClass ($data_object->conn, $moshi_id, $admin_id)) {
		while ($res=$moshi_class_object->dbFetchArr()) {
			array_push($allow_class_arr,$res["class_id"]);
		}
		$moshi_class_object->dbFreeResult();
	}
	
	
	if ($moshi_class_object->setClassListPerMoshi($data_object->conn, $moshi_id)) {
		while ($res=$moshi_class_object->dbFetchArr()) {
			$data_list .= "<tr><td>";

			if (($admin_status == 1 || $admin_id == $res["teacher_id"]) && in_array($res["class_id"], $allow_class_arr)) {
			
				$data_list .= "<a href='moshi_class_mem_list.php?moshi_id=".$moshi_id."&class_id=".$res["class_id"]."&moshi_name=".urlencode($moshi_name)."&class_name=".urlencode($res["class_nam"])."'>".$res["class_nam"]."</a>";
			
			} else {
				
				
				$data_list .= $res["class_nam"];
			}
			
			$data_list .= "</td><td>".round($res["ave_score"],2)."</td><td>";
			$data_list .= $res["ans_cnt"]."</td><td>";
			$data_list .= $res["ans_usr_cnt"]."</td></tr>";
			
		}
		
		$moshi_class_object->dbFreeResult();
	}
	
	

}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_moshi/moshi_class_list.tpl');


$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);

$show_data = str_replace(':MOSHI_NAME_REP:', $moshi_name, $show_data);

$show_data = str_replace(':TOTAL_AVE_SCORE_REP:', round($total_ave_score,2), $show_data);
$show_data = str_replace(':TOTAL_AVETIME_CNT_REP:', round($total_ave_time_cnt,2), $show_data);
$show_data = str_replace(':TOTAL_ANS_USR_REP:', $total_user_cnt, $show_data);
$show_data = str_replace(':TOTAL_ANS_CNT_REP:', $total_ans_cnt, $show_data);
$show_data = str_replace(':MOSHI_ID_REP:', $moshi_id, $show_data);

$show_data = str_replace(':DATA_LIST_REP:', $data_list, $show_data);

echo $show_data;

?>