<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
	$ses_arr = $_SESSION[SESSION_ADMIN];
	$admin_status = $ses_arr['status'];

$search_flag = "";
$del_condition = "";
$del_flag = "";
$search_txt = "";
$start_id="";
$department_id = "";
$where_st = "";
$err_msg = "";
$file_for_nave = "";
$show_txt = "";
$recommend = "";

if ($admin_status == 1) {
	$recommend = "<a href='../recommend_reg/'>"._EXAM_TEA_INDEX_RECOMMEND_LINK."</a><br/>";
}
if ($_GET <> null) {
	if (isset($_GET['search_flag'])) {
		$search_flag = $_GET['search_flag'];
	}
	if (isset($_GET['pgid'])) {
		$start_id = $_GET['pgid'];
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if ($start_id =="" || $start_id ==null) {
		$start_id = 0;
	}
//ؤΥ󥯤Ĵ
	if ($recommend <> "") {
	$rec_calc_object = new CRecCalcStatusTableAccess();
	if ($rec_calc_object->setNowCalc($data_object->conn)) {
		//׻ξϡλݤɽ
		if ($res = $rec_calc_object->dbFetchArr()) {
			 $recommend ="Now Setting Recommendation<br/>";
		}
		$rec_calc_object->dbFreeResult();
	}
	}

	$practice_object = new CPracTableAccess();
	if (isset($_POST["DEL_FLAG"]))$del_flag = $_POST["DEL_FLAG"];
	if ($del_flag == "del") {
	//ư
		if (count($_POST) == 1){
			$err_msg = "Failed to Delete Practice Data";
		} else {
			//κ
			$del_condition = "";

			foreach ($_POST as $child) {
				//if ($child <> null && $child <> "" && $child <> "del") {
				if (is_numeric($child)) {
					$del_condition .= "practice_id = '".$practice_object->escapeSqlString($child);
					$del_condition .= "' OR ";
				}
			}
//echo "aa".$del_condition."<br/>";
			//Ρ OR פȤ
			$del_condition = substr($del_condition, 0, -4);
			if(!$practice_object->delDat($del_condition, $data_object->conn)) {
				$err_msg = "Failed to Delete Practice Data";
				$err_msg .= $practice_object->err_msg;
			}
		}
	}



	if ($search_flag == 1) {
	//ư WHERE
		if ($_GET['search_txt'] <> "" && $_GET['search_txt'] <> null) {
			$where_st .= "practice_title LIKE '%".$practice_object->escapeSqlString($_GET['search_txt'])."%'";
			$search_txt = chPostToForm ($_GET['search_txt']);
		}
		if ($_GET['department_id'] <> 0 && is_numeric($_GET['department_id']) == true) {
			if ($where_st <> "") {
				$where_st .= " AND ";
			}
			$where_st .= "department = '".$practice_object->escapeSqlString($_GET['department_id'])."'";
			$department_id = $_GET['department_id'];
		}
		if ($where_st <> "") {
			$where_st = " WHERE ".$where_st;
		}
	}
	$file_for_nave .= "?search_flag=".$search_flag."&search_txt=".urlencode($search_txt)."&department_id=".$department_id;

	$dep_select_object = new CCreateDepSelect($data_object->conn);
	$dep_select_object->setDataForSearch ();
	$dep_pulldown = $dep_select_object->getPullDown ("department_id", $department_id);
	$dep_select_object->setDataForInput();
	$department_arr =$dep_select_object->getBasicData ();

	$level_select_object = new CCreateTxtLevelSelect($data_object->conn);
	$level_select_object->setDataForInput();
	$level_arr =$level_select_object->getBasicData ();

	$prac_data_list = $practice_object->getList("*", $where_st." ORDER BY update_time DESC, create_time DESC", $data_object->conn);
	$make_item = new get_item();
	$navi = $make_item->get_navi_with_search($start_id, count($prac_data_list), GET_NUM, $file_for_nave);

	if ($prac_data_list == false) {
		$show_txt ="<tr><td colspan=5>"._COMMON_DB_NODATA_FOUND."</tr></td>";
	} else {
		//󤫤ɬפʤΤΤߤФ
		$prac_data_list = array_splice($prac_data_list, ($start_id * GET_NUM), GET_NUM);
		$i=1;
		//2010/12/31
		$student_object = new CStudentTableAccess();
		foreach ($prac_data_list as $data_arr) {
			$show_txt .= "<tr";
			if ($data_arr['is_new'] == 0) $show_txt .= " bgcolor='gainsboro'";
			$show_txt .= ">";
			$show_txt .= "<td><input type='checkbox' name = 'DEL".$i."' VALUE = '".$data_arr['practice_id']."'></td>";
			$show_txt .= "<td><a href='mod_form.php?practice_id=".$data_arr['practice_id']."'>";
						//$show_txt.=htmlspecialchars($data_arr['practice_title'],ENT_QUOTES)."</a></td>";
			$show_txt.=htmlspecialchars($data_arr['practice_title'],ENT_QUOTES)."</a>";

			if (is_numeric($data_arr["cre_student_id"])) {
				if ($ses_arr['is_cube'] ==1) $data_object->setCharForCube();
				$st_data = $student_object->getOneStudent($data_object->conn, $data_arr['cre_student_id']);
				if ($st_data <> false) {
				$show_txt.= "(".htmlspecialchars($st_data["uname"],3)._EXAM_COMMON_PRACTICE_MAKE_USR.")";
				}
				if ($ses_arr['is_cube'] ==1) $data_object->setCharForExam();
			}
			$show_txt.= "</td>";
			$show_txt .= "<td>".substr($data_arr['create_time'],0,16)."</td>";
					if (isset($department_arr[$data_arr['department']])) {
				$show_txt .= "<td>".$department_arr[$data_arr['department']]."</td>";
			} else {
				$show_txt .= "<td>-</td>";
			}
			if (isset($level_arr[$data_arr['level']])) {
				$show_txt .= "<td>".$level_arr[$data_arr['level']]."</td>";
			} else {
				$show_txt .= "<td>-</td>";
			}
			$show_txt .= "</tr>\n";
			$i++;
		}
	}
	$data_object->closeDB();
}
//$list_file_type = "ƥȡꥹ";
//$list_insert_typ = "ƥȡǡοϿ";
$list_file_type = _EXAM_TEA_TXTLIST_TITLE;
$list_insert_typ = _EXAM_TEA_TXTLIST_INSERT;

$show_data = file_get_contents(TEMPLATE_DIR.'ad_practice/data_list.tpl');

$show_data = str_replace(':LIST_FILE_TYPE:', $list_file_type, $show_data);
$show_data = str_replace(':LIST_INSERT_TYPE:', $list_insert_typ, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAVIGATOR:', $navi, $show_data);
$show_data = str_replace(':DATA_LIST:', $show_txt, $show_data);
$show_data = str_replace(':SEARCH_TXT_REP:', $search_txt, $show_data);
$show_data = str_replace(':DEPT_SELECT_REP:', $dep_pulldown, $show_data);
$show_data = str_replace(':RECOMMEND_REP:', $recommend, $show_data);
$show_data = str_replace(':RECOMMEND_REP:', $recommend, $show_data);

echo $show_data;

?>